Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.commands
[Groovy] Class AliasTargetProxyCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.commands.AliasTargetProxyCommand

    class AliasTargetProxyCommand
    extends CommandSupport

Field Summary

Fields inherited from class CommandSupport
NEWLINE, io, log, messages, registry, shell

Property Summary
`List` | `args`

Constructor Summary
`AliasTargetProxyCommand(Shell shell, String name, List args)`

Method Summary
`Object` | `execute(List args)`
`String` | `getDescription()`
`String` | `getHelp()`
`String` | `getUsage()`

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompletor, getDescription, getHelp, getHistory, getImports, getUsage, getVariables

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### args

    final List args

Constructor Detail

### AliasTargetProxyCommand

    AliasTargetProxyCommand(Shell shell, String name, List args)

Method Detail

### execute

    Object execute(List args)

### getDescription

    String getDescription()

### getHelp

    String getHelp()

### getUsage

    String getUsage()

Copyright © 2003-2010 The Codehaus. All rights reserved.